Package org.eclipse.rap.rwt.scripting

## Class ClientListener

- java.lang.Object
- - ClientFunction
  - - org.eclipse.rap.rwt.scripting.ClientListener

All Implemented Interfaces:
  `Listener`

    public class ClientListener
    extends ClientFunction
    implements Listener

A special SWT event listener that is implemented in JavaScript and will be executed on a RAP client. The `handleEvent()` method of this type will never be called.

Since:
  2.2

### Constructor Summary

Constructors
`ClientListener​(java.lang.String scriptCode)` Creates a ClientListener instance with the specified JavaScript code.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleEvent​(Event event)` This method will NOT be called on a ClientListener.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientListener

    public ClientListener​(java.lang.String scriptCode)

Creates a ClientListener instance with the specified JavaScript code. The JavaScript code must contain a method named `handleEvent`. This method will be called with a single argument, `event</event>.`

Parameters:
  `scriptCode` - the JavaScript code of the event handler

### Method Detail

#### handleEvent

    public void handleEvent​(Event event)

This method will NOT be called on a ClientListener.

Specified by:
  `handleEvent` in interface `Listener`
Parameters:
  `event` - the event which occurred